import { createApp, App } from 'vue'
import { createPinia } from 'pinia'
import router from '@/router'
import AppCom from '@/App.vue'
import useECharts from '@/plugins/echarts'
import bootstrap from '@/bootstrap'
import { setupDirectives } from '@/directives'
import 'virtual:svg-icons-register'
import { ElLoading, ElTooltip } from 'element-plus'
import { DatePicker, RangePicker } from 'ant-design-vue'
import VXETable from 'vxe-table'
import 'vxe-table/lib/style.css'
import 'dayjs/locale/zh-cn'
import 'element-plus/theme-chalk/el-loading.css'
import '@style/app.scss'
import 'element-plus/theme-chalk/src/message.scss'
import 'splitpanes/dist/splitpanes.css'
const app = createApp(AppCom)
setupDirectives(app)
function useTable(app: App) {
  app.use(VXETable)
}
app.use(createPinia()).use(router).use(ElLoading).use(ElTooltip).use(DatePicker).use(RangePicker).use(useTable)
useECharts()

app.mount('#app')

bootstrap()
